*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

header{
    position: sticky;
    top: 0;
    height: 6vh;
    box-shadow: 0 0 10px 10px black;
    font-size: 5vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    z-index: 5;
    background-color: rgba(240, 248, 255, 1);
}

body{
    width: 100vw;
    min-height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
}

main{
    display: flex;
    position: relative;
}

img{
    cursor: pointer;
}

#gallery{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    padding: 30px;
}

.galleryElement{
    display: block;
    border-radius: 20px;
    width: clamp(300px, 30vw, 50vw);
    aspect-ratio: 48 / 27;
    z-index: 1;
    transition: scale .5s;
}

.galleryElement:hover{
    scale: 1.025;
}

.dateText{
    display: none;
    position: absolute;
    left: 10px;
    bottom: 5px;
    font-size: 1.2em;
    color: white;
    text-shadow: 1px 1px black;
}

.deleteForm{
    display: none;
    position: absolute;
    z-index: 2;
    bottom: 0;
    right: 0;
}

.deleteForm>button{
    position: relative;
    cursor: pointer;
    background-color: rgba(186, 41, 41);
    transition: background-color .5s;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    bottom: 0;
    right: 0;
}

.deleteForm>button:hover{
    background-color: rgba(250, 41, 41);
}

.downloadImg{
    display: none;
    position: absolute;
    z-index: 2;
    top: 0;
    right: 0;
}

.downloadImg>a{
    position: relative;
    display: block;
    cursor: pointer;
}

#goBack{
    cursor: pointer;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 20px;
    width: 5vh;
    height: 5vh;
    border-radius: 50%;
    box-shadow: 0 0 5px black; 
}

#goBack:hover{
    border: 1px solid black;
}

#addForm{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    background-color: rgb(212, 212, 212);
}

#addForm>input[type=file]{
    opacity: 0;
    width: 0.1px;
    height: 0.1px;
    position: absolute;
}

#addForm>label[for=file]{
    cursor: pointer;
    width: 50%;
    background-color: white;
    text-align: center;
    border-radius: 10px;
    font-size: 1.3em;
    padding: 5px;
    border: 2px inset black;
}

#addForm>input[type=date]{
    text-align: center;
    width: 50%;
    font-size: 1.2em;
    padding: 5px;
    border-radius: 10px;
}

#addForm>button{
    cursor: pointer;
    padding: 5px;
    font-size: 1.2em;
    width: 50%;
    border-radius: 10px;
    background-color: rgba(33, 176, 33, .6);
    transition: background-color .5s;
}

#addForm>button:hover{
    background-color: rgba(33, 240, 33, .8);
}

#maxImage{
    position: fixed;
    width: 100%;
    height: calc(100% - 6vh);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-Index: 3;
    background-Color: rgba(255, 255, 255);
    display: none;
}

#close{
    position: absolute;
    right: 30px;
    top: 1.5vh;
    border-radius: 50%;
    height: 4.5vh;
    width: 4.5vh;
    border: 1px solid black;
    font-size: 2em;
    background-color: rgba(167, 167, 167);
    cursor: pointer;
    transition: transform .5s;
}

#close:hover{
    transform: rotateZ(-90deg);
}

#currentSymbol{
    cursor: pointer;
    position: absolute;
    right: 30px;
    border: 1px solid;
    border-radius: 50%;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 4.5vh;
    width: 4.5vh;
    background-color: rgb(167, 167, 167);
    transition: transform .5s;
}

#currentSymbol:hover{
    transform: rotateZ(45deg);
}

#editForm{
    visibility: hidden;
    position: absolute;
    right: 30px;
    height: 4.5vh;
    border: 1px solid;
    border-radius: 50px;
    display: flex;
    justify-content: center;
}

#editForm>input{
    border-radius: 50px;
    text-align: center;
    font-size: .35em;
    transition: background-color .5s;
}